#ifndef _UTILS_H_
#define _UTILS_H_

/* Constants */
#define KB_SIZE		1024.0
#define MB_SIZE		1048576.0
#define GB_SIZE		1073741824.0

/* Macros */
#define round_up(x,n)	(-(-(x) & -(n)))

/* Prototypes */
//u32 swap32(u32);
#define swap32(x) (x >> 24) | ((x << 8) & 0x00FF0000UL) | ((x >> 8) & 0x0000FF00UL) | (x << 24)

#endif
